#!/bin/sh

name="fakeroot"
title="fakeroot"
package="fakeroot"
version="0.4.5"
debver="2.3"
build="1"
noarch="n"
build_info="Standard build."

info="Gives a fake root environment."
desc="This package is intended to enable something like: fakeroot
rpm --rebuild i.e. to remove the need to become root for a
package build. This is done by setting LD_PRELOAD to a
'libfakeroot.so.0.0', that provides wrappers around chown,
chmod, mknod, stat, etc."
category="system/other"
environment="library"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,BUGS,COPYING,DEBUG,INSTALL,README.fake,debian/changelog"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.intersec.pl/~swiergot/${name}_$version-$debver.tar.gz $name-$version

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make_docs

subpackage devel

make_package main
make_package devel

clean_up

# $Log: fakeroot.builder,v $
# Revision 1.3  2002/12/25 23:46:46  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/25 23:32:16  swiergot
# - Touched to force building.
#
# Revision 1.1  2002/12/25 23:15:42  swiergot
# - Initial release.
# - Version 0.4.5.
#
